@import "~/src/sass/variables"

.filled-button
  border-radius: 100px
  border: none

  height: 40px
  min-height: 40px

  padding-left: 24px
  padding-right: 24px

  font-family: "Product Sans"
  font-size: 16px
  line-height: 16px

  background-color: var(--color-primary, $light-primary)
  color: var(--color-on-primary, $light-on-primary)

  transition-duration: 250ms

  &:hover, &:focus
    background-color: darken(var(--color-primary, $light-primary), 3)
    transition-duration: 175ms

  &:active
    background-color: darken(var(--color-primary, $light-primary), 5)

.fab-button
  color: var(--color-on-surface, $light-on-surface)
  background-color: var(--color-primary-container, $light-primary-container)
  transition-duration: 75ms

  width: 56px
  min-height: 56px
  height: 56px

  outline: none
  border: none
  border-radius: 16px

  box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.15), 0px 1px 3px rgba(0, 0, 0, 0.3)

  display: flex
  flex-direction: row
  justify-content: space-evenly
  align-items: center

  span
    font-size: 1.6rem
    line-height: 1.6rem

  p
    font-size: 0.85rem
    line-height: 0.85rem
    font-weight: 700

  // &:hover
  //   background-color: var(--color-primary80, $light-primary80)
  //   box-shadow: 0px 6px 10px 4px rgba(0, 0, 0, 0.15), 0px 2px 3px rgba(0, 0, 0, 0.3)
  // &:focus
  //   background-color: var(--color-primary80, $light-primary80)
  //   box-shadow: 0px 6px 10px 4px rgba(0, 0, 0, 0.15), 0px 2px 3px rgba(0, 0, 0, 0.3)

  // &:active
  //   background-color: var(--color-primary70, $light-primary70)
  //   box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.15), 0px 1px 3px rgba(0, 0, 0, 0.3)

.large-button
  width: 123px


@media (prefers-color-scheme: dark)
  .filled-button
    background-color: var(--color-primary, $dark-primary)
    color: var(--color-on-primary, $dark-on-primary)

    &:hover, &:focus
      background-color: darken(var(--color-primary, $dark-primary), 3)

    &:active
      background-color: darken(var(--color-primary, $dark-primary), 5)

  .fab-button
    color: var(--color-on-surface, $dark-on-surface)
    background-color: var(--color-primary-container, $dark-primary-container)